# Generated by Django 4.2 on 2023-04-26 20:08

from django.db import migrations, models


class Migration(migrations.Migration):
    initial = True

    dependencies = []

    operations = [
        migrations.CreateModel(
            name="Campsite",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("number", models.PositiveSmallIntegerField()),
                (
                    "site_type",
                    models.CharField(
                        choices=[
                            ("Tent", "Tent"),
                            ("Standard Non-Electric", "Standard Non-Electric"),
                            ("RV", "RV"),
                            ("Group", "Group"),
                        ],
                        default="Standard Non-Electric",
                        max_length=21,
                    ),
                ),
                ("fire_pit", models.BooleanField(default=True)),
                ("sewer_hookup", models.BooleanField(default=False)),
                ("water_hookup", models.BooleanField(default=False)),
                ("pets_allowed", models.BooleanField(default=False)),
                ("waterfront", models.BooleanField(default=False)),
                ("shade", models.BooleanField(default=False)),
            ],
        ),
    ]
